%global		momorel 1
%global		dictname wn
Summary:	WordNet lexical reference system formatted as dictionary for dictd
Name:		dict-wn
Version:	2.0
Release:	%{momorel}m
License:	Modified BSD
Group:		Applications/Text
Source0:	ftp://ftp.dict.org/pub/dict/pre/%{name}-%{version}-pre.tar.gz
# original is	ftp://ftp.cogsci.princeton.edu/pub/wordnet/%{version}/WordNet-%{version}.tar.gz
NoSource: 0
URL:		http://www.dict.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
#BuildRequires:	dictzip
BuildArch:	noarch
Requires:	dictd

%description
This package contains WordNet (r) Lexical Database formatted for
use by the dictionary server in the dictd package.

%prep
%setup -c

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_sysconfdir}/dictd
install -d %{buildroot}%{_datadir}/dictd

cp wn.dict.dz wn.index %{buildroot}%{_datadir}/dictd/

dictprefix=%{_datadir}/dictd/wn
echo "# WordNet Lexical Database dictionary
database %{dictname} {
    data  \"$dictprefix.dict.dz\"
    index \"$dictprefix.index\"
}" > %{buildroot}%{_sysconfdir}/dictd/%{dictname}.dictconf

%clean
rm -rf %{buildroot}

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/sbin/service dictd restart 1>&2 || true
fi

%post
if [ -f /var/lock/subsys/dictd ]; then
	/sbin/service dictd restart 1>&2
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}*

%changelog
* Fri Dec 12 2003 TAKAHASHI Tamotsu <tamo>
- (2.0-1m)
- update
- License: Modified BSD
 ( http://www.cogsci.princeton.edu/~wn/license.shtml
   Is this MIT/X? Anyway, commercial use is permitted.
   Note that authors want you to mail to wordnet@princeton.edu )

* Sun Apr 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.7a-1m)
- use /sbin/service instead of /etc/init.d/dictd

* Thu Oct 17 2002 Kikutani Makoto <poo@momonga-linux.org>
- (1.7a-1m)
- New upstream version

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5-5m)
- remove Requires: %{_sysconfdir}/dictd

* Tue Jul 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.5-4m)
- BuildArch: noarch (please remove dict-wn-1.5-3m.i586.rpm file manually)
- spec file cleanup

* Mon Jul 15 2002 Kikutani Makoto <poo@momonga-linux.org>
- (1.5-3m)
- 1st Momonga version
- I made this based on PLD Linux's spec
